using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Framework.Utility
{
    /// <summary>
    /// This is a general implementation of Id, currently obsolete because 
    /// Stats has it's own inner definition.
    /// </summary>
    [Obsolete("Not currently needed because Stats implements it's Id as an inner class, which is probably preferable")]
    public struct Id
    {
        public static explicit operator Id(int value)
        {
            return new Id(value);
        }

        public static implicit operator int(Id me)
        {
            return me.value;
        }

        private int value;

        private Id(int value)
        {
            this.value = value;
        }
	}
}
